Incidencia #43808

Extras as local-ranged requirement targets

Abrir Fecha: 2022-02-08 07:52 Última actualización: 2022-02-19 03:41

Informador:
Propietario:
Tipo:
Estado:
Cerrado
Componente:
Hito:
Prioridad:
5 - Medium
Gravedad:
5 - Medium
Resolución:
Fixed
Fichero:
1

Details

Add support for extras as requirement targets (as already exists for e.g. improvements and unit types), with associated local-ranged requirements (RoadFlag, Extra, ExtraFlag).

This is possible now since the "exists on tile" kind of requirement has been moved to the Tile range with hrm #695469. However, to avoid potential rscompat issues, adding new things to the Local range should not be done until after #43708.

Ticket History (3/6 Histories)

2022-02-08 07:52 Updated by: alienvalkyrie
  • New Ticket "Extras as local-ranged requirement targets" created
2022-02-08 08:47 Updated by: alienvalkyrie
Comentario

Probably most sensible to delay this until after #43809, to make adding the new requirement target easier.

2022-02-15 03:51 Updated by: alienvalkyrie
  • Propietario Update from (Ninguno) to alienvalkyrie
2022-02-15 08:44 Updated by: alienvalkyrie
  • Resolución Update from Ninguno to Accepted
Comentario

A few notes on this patch:

  • The patch depends on #43809, and softly depends on #43708 to avoid potential rscompat confusion.
  • No place in the code passes target extras to requirement evaluation yet. This is left to other tickets like #41539 and #41540.
    • This also means the requirement evaluation code is not testable in practice yet
  • The default range for Extra, RoadFlag and ExtraFlag requirements is still Tile, not Local, to keep the current behavior
2022-02-19 03:41 Updated by: alienvalkyrie
  • Estado Update from Open to Cerrado
  • Resolución Update from Accepted to Fixed

Editar

Please login to add comment to this ticket » Entrar